| QxOrm 1.4.1 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
qx::service::QxServer Class Reference
QxService : QxOrm library services engine to provide easy and powerful way to create C++ application server (to transfer data over network)

qx::service::QxServer : server side to manage a thread pool of incoming connections (new request from client) More...

`#include <QxServer.h>`

List of all members.

## Public Member Functions
| QxServer (QxThreadPool *pool)
virtual | ~QxServer ()
## Protected Member Functions
virtual void | incomingConnection (int socketDescriptor)
QxThread * | getAvailable () const
## Protected Attributes
QxThreadPool * | m_pThreadPool
| Parent thread pool to prevent from incoming connection.
QMutex | m_mutex
| Mutex => 'QxServer' is thread-safe.

## Detailed Description

qx::service::QxServer : server side to manage a thread pool of incoming connections (new request from client)

Click here to access to a tutorial to explain how to work with QxService module.

Definition at line 61 of file QxServer.h.

## Constructor & Destructor Documentation

qx::service::QxServer::QxServer | ( | QxThreadPool * | pool | ) | `[inline]`

Definition at line 71 of file QxServer.h.

virtual qx::service::QxServer::~QxServer | ( |  | ) | `[inline, virtual]`

Definition at line 72 of file QxServer.h.

## Member Function Documentation

QxThread* qx::service::QxServer::getAvailable | ( |  | ) | const`[protected]`

virtual void qx::service::QxServer::incomingConnection | ( | int | socketDescriptor | ) | `[protected, virtual]`

## Member Data Documentation

QMutex qx::service::QxServer::m_mutex`[protected]`

Mutex => 'QxServer' is thread-safe.

Definition at line 67 of file QxServer.h.

QxThreadPool* qx::service::QxServer::m_pThreadPool`[protected]`

Parent thread pool to prevent from incoming connection.

Definition at line 66 of file QxServer.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxService/QxServer.h